Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.jxpath.ri.compiler
Class CoreOperationLessThanOrEqual

    java.lang.Object
      org.apache.commons.jxpath.ri.compiler.Expression
          org.apache.commons.jxpath.ri.compiler.Operation
              org.apache.commons.jxpath.ri.compiler.CoreOperation
                  org.apache.commons.jxpath.ri.compiler.CoreOperationRelationalExpression
                      org.apache.commons.jxpath.ri.compiler.CoreOperationLessThanOrEqual

    public class CoreOperationLessThanOrEqual

extends CoreOperationRelationalExpression

Implementation of `Expression` for the operation "<=".

Version:
  $Revision: 652845 $ $Date: 2008-05-02 12:46:46 -0500 (Fri, 02 May 2008) $
Author:
  Dmitri Plotnikov

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.commons.jxpath.ri.compiler.Expression
`Expression.PointerIterator, Expression.ValueIterator`

Field Summary

Fields inherited from class org.apache.commons.jxpath.ri.compiler.CoreOperation
`ADD_PRECEDENCE, AND_PRECEDENCE, COMPARE_PRECEDENCE, MULTIPLY_PRECEDENCE, NEGATE_PRECEDENCE, OR_PRECEDENCE, RELATIONAL_EXPR_PRECEDENCE, UNION_PRECEDENCE`

Fields inherited from class org.apache.commons.jxpath.ri.compiler.Operation
`args`

Fields inherited from class org.apache.commons.jxpath.ri.compiler.Expression
`NOT_A_NUMBER, ONE, ZERO`

Constructor Summary
`CoreOperationLessThanOrEqual(Expression arg1, Expression arg2)` Create a new CoreOperationLessThanOrEqual.

Method Summary
`protected boolean` | `evaluateCompare(int compare)` Template method for subclasses to evaluate the result of a comparison.
`String` | `getSymbol()` Returns the XPath symbol for this operation, e.g.

Methods inherited from class org.apache.commons.jxpath.ri.compiler.CoreOperationRelationalExpression
`computeValue, getPrecedence, isSymmetric`

Methods inherited from class org.apache.commons.jxpath.ri.compiler.CoreOperation
`compute, toString`

Methods inherited from class org.apache.commons.jxpath.ri.compiler.Operation
`computeContextDependent, getArguments`

Methods inherited from class org.apache.commons.jxpath.ri.compiler.Expression
`isContextDependent, iterate, iteratePointers`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CoreOperationLessThanOrEqual

    public CoreOperationLessThanOrEqual(Expression arg1,
                                        Expression arg2)

  Create a new CoreOperationLessThanOrEqual.

  Parameters:
    `arg1` - left Expression
    `arg2` - right Expression

Method Detail

### evaluateCompare

    protected boolean evaluateCompare(int compare)

  Description copied from class: `CoreOperationRelationalExpression`
  Template method for subclasses to evaluate the result of a comparison.

  Specified by:
    `evaluateCompare` in class `CoreOperationRelationalExpression`
  Parameters:
    `compare` - result of comparison to evaluate
  Returns:
    ultimate operation success/failure

### getSymbol

    public String getSymbol()

  Description copied from class: `CoreOperation`
  Returns the XPath symbol for this operation, e.g. "+", "div", etc.

  Specified by:
    `getSymbol` in class `CoreOperation`
  Returns:
    String symbol

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 The Apache Software Foundation. All Rights Reserved.